apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: keycloak-provider-creds
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: v1
      kind: Secret
      metadata:
        name: keycloak-provider-creds
        namespace: crossplane-system
      type: Opaque
      stringData:
        credentials: |
          {
            "url": "http://keycloak-http.auth-system.svc.cluster.local",
            "client_id": "admin-cli",
            "username": "admin",
            "password": "thefi9paechooh"
          }
---
# Configure Keycloak provider
apiVersion: keycloak.crossplane.io/v1beta1
kind: ProviderConfig
metadata:
  name: keycloak-provider
spec:
  credentials:
    source: Secret
    secretRef:
      namespace: crossplane-system
      name: keycloak-provider-creds
      key: credentials
